#
# Aura Engine (https://gitlab.servus.at/aura/engine)
#
# Copyright (C) 2017-2020 - The Aura Engine Team.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



# Scheduler Exceptions

class NoProgrammeLoadedException(Exception):
    pass

class NoActiveScheduleException(Exception):
    pass


# Soundsystem and Mixer Exceptions

class LoadSourceException(Exception):
    pass

class InvalidChannelException(Exception):
    pass

class PlaylistException(Exception):
    pass

class NoActiveEntryException(Exception):
    pass


# Monitoring Exceptions

class EngineMalfunctionException(Exception):
    pass

class MailingException(Exception):
    pass


# Liquidsoap Execeptions

class LQConnectionError(Exception):
    pass

class LQStreamException(Exception):
    pass

class RedisConnectionException(Exception):
    pass

